Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.MMS3
Class Centers2PLSql

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C452PLSql
              edu.udo.cs.miningmart.compiler.wrapper.dista.MMS3.Centers2PLSql

    public class Centers2PLSql

extends C452PLSql

Version:
  $Id: Centers2PLSql.java,v 1.5 2006/09/27 15:00:03 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
`m_md, m_result_name, m4db`

Constructor Summary
`Centers2PLSql()`

Method Summary
`void` | `convertToFunctionOn(java.io.PrintWriter w, Centers c)`
`void` | `convertToFunctionOn(java.io.PrintWriter w, java.lang.Object o)`
`protected void` | `printCenterOn(java.io.PrintWriter w, Schema s, Center c)`
`protected void` | `printFuncDeclaration(java.io.PrintWriter w)`
`protected void` | `printNominalValueOn(java.io.PrintWriter w, NominalAttribute a, java.lang.String s)`
`protected void` | `printNumericValueOn(java.io.PrintWriter w, NumericAttribute a, java.lang.Double n)`
`protected void` | `printValueOn(java.io.PrintWriter w, Attribute a, java.lang.Object n)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C452PLSql
`printValue`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.ToPLSql
`convert, getM4Db, getResultName, printAttr, printFuncHeader, printFuncTrailer, printSpaceOn, setConnection, setMetaData, setResultName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Centers2PLSql

    public Centers2PLSql()

Method Detail

### printNominalValueOn

    protected void printNominalValueOn(java.io.PrintWriter w,
                                       NominalAttribute a,
                                       java.lang.String s)

### printNumericValueOn

    protected void printNumericValueOn(java.io.PrintWriter w,
                                       NumericAttribute a,
                                       java.lang.Double n)

### printValueOn

    protected void printValueOn(java.io.PrintWriter w,
                                Attribute a,
                                java.lang.Object n)

### printCenterOn

    protected void printCenterOn(java.io.PrintWriter w,
                                 Schema s,
                                 Center c)

### convertToFunctionOn

    public void convertToFunctionOn(java.io.PrintWriter w,
                                    Centers c)

### convertToFunctionOn

    public void convertToFunctionOn(java.io.PrintWriter w,
                                    java.lang.Object o)
                             throws java.lang.Exception

  Overrides:
    `convertToFunctionOn` in class `ToPLSql`
  Throws:
    `java.lang.Exception`

### printFuncDeclaration

    protected void printFuncDeclaration(java.io.PrintWriter w)

  Overrides:
    `printFuncDeclaration` in class `ToPLSql`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005